
/*------------------------ top_sec ------------------------*/
.top_sec {
    width: 100%;
    position: relative;
}
.top_sec::after {
    content: '';
    display: block;
    width: 100%;
    height: 40px;
    border-radius: 40px 40px 0 0;
    background-color: var(--white);
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 2;
}
.top_img {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
}
.top_img img {
    transform: scale(1.2);
    animation: img 10s linear forwards;
}
@keyframes img {
    from {
        transform: scale(1.2);
    }
    to {
        transform: scale(1);
    }
}
.top_inner {
    width: 100%;
    height: 100%;
    padding: 190px 0 200px;
    background-color: rgba(0, 0, 0, .4);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 24px;
    position: relative;
    z-index: 1;
}
.top_inner * {
    font-weight: var(--semi-bold);
    color: var(--white);
    text-align: center;
}
.page_eng {
    font-size: var(--ft28);
    opacity: 0;
    transform: translateY(20px);
    animation: title .6s .1s ease forwards;
}
.page_title {
    font-size: var(--ft60);
    opacity: 0;
    transform: translateY(20px);
    animation: title .6s .2s ease forwards;
}

@keyframes title {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/*------------------------ main_sec ------------------------*/
.main_sec {
    margin-top: 60px;
}

/*-- main_form --*/
.main_form {
    display: flex;
    justify-content: end;
    align-items: center;
}
.total_num,
.total_num span {
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
    color: var(--gray-600);
}
.total_num span {
    color: var(--primary);
}

.search_box {
    width: 100%;
    max-width: 360px;
    height: 60px;
    padding-right: 10px;
    border-radius: 20px;
    border: 1px solid var(--dark-line);
    display: flex;
    align-items: center;
    gap: 10px;
}
.search_box input {
    width: 100%;
    height: 100%;
    padding: 0 20px;
}
.search_btn {
    width: 40px;
    height: 40px;
    border-radius: 16px;
    background-color: var(--primary);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    cursor: pointer;
}
.search_btn img {
    width: 16px;
    height: 16px;
}


/*-- news_list --*/
.news_list {
    margin-top: 80px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px 30px;
}
.news_box {
    width: 100%;
    border-radius: 0 20px 0 20px;
    overflow: hidden;
    border: 1px solid rgba(255,  255, 255, 0);
    transition: all .4s ease;
}
.news_box a {
    display: flex;
    flex-direction: column;
}
.news_text_box {
    width: 100%;
    height: 100%;
    padding: 50px 32px 40px;
    background-color: var(--gray-100);
}
.news_title {
    font-size: var(--ft20);
    font-weight: var(--semi-bold);
    margin-bottom: 24px;
}
.news_date {
    font-size: var(--ft16);
    font-weight: var(--medium);
    color: var(--gray-400);
}
.news_img {
    width: 100%;
    aspect-ratio: 16 / 9;
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
}
.news_img > img {
    transition: transform .4s ease;
}
.img_more {
    position: absolute;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, .6);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transform: rotate(45deg);
    transition: opacity .4s ease, transform .4s ease;
}
.img_more img {
    width: 32px;
    height: 32px;
}

.news_box:hover {
    border-color: var(--primary);
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.10);
}
.news_box:hover .news_img > img {
    transform: scale(1.1);
}
.news_box:hover .img_more {
    opacity: 1;
    transform: rotate(0);
}

.null_box {
    width: 100%;
    padding: 80px 0;
}
.null_box p {
    font-size: var(--ft18);
    color: var(--gray-400);
    text-align: center;
}

@media all and (max-width: 1400px) {
    .page_eng {
        font-size: var(--ft18);
    }
    .page_title {
        font-size: var(--ft50);
    }

    .news_text_box {
        padding: 32px 24px;
    }
    .news_title {
        margin-bottom: 20px;
        font-size: var(--ft18);
    }

}

@media all and (max-width: 1024px) {
    .news_list {
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }
}

@media all and (max-width: 768px) {
    .top_inner {
        padding: 120px 0;
    }
    .page_eng {
        font-size: var(--ft16);
    }
    .page_title {
        font-size: var(--ft40);
    }
    .top_sec::after {
        height: 20px;
        border-radius: 20px 20px 0 0;
    }

    .main_sec {
        margin-top: 24px;
    }

    .main_form {
        flex-direction: column;
        align-items: start;
        gap: 24px;
    }
    .search_box {
        height: 50px;
    }
    .search_btn {
        width: 30px;
        height: 30px;
    }
    .search_btn img {
        width: 13px;
        height: 13px;
    }
    .total_num {
        order: 2;
    }
    .total_num,
    .total_num span {
        font-size: var(--ft14);
    }


    .news_list {
        margin-top: 40px;
        grid-template-columns: repeat(1, 1fr);
    }
    .news_text_box {
        padding: 24px 20px;
    }
    .news_title {
        margin-bottom: 16px;
        font-size: var(--ft16);
    }
    .news_date {
        font-size: var(--ft14);
    }
}